<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <service servicelist='opennebula-flow'>opennebula-flow</service>
        <file filelist='oneflow' name='/etc/one/oneflow-server.conf' rm='True'/>
        <!--service_access service='oneflow'>
            <port port_type="SymLinkOption">port_oneflow</port>
        </service_access-->
        <service_restriction service='oneflow'>
            <ip interface='eth0' netmask='netmask_ssh_eth0' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth0</ip>
        </service_restriction>
    </files>
    <variables>
        <family name='Virtualisation'>
            <variable name='activer_oneflow' type='oui/non' description="Activer le serveur OpenNebula Flow">
                <value>non</value>
            </variable>
            <variable name='port_oneflow' type='number' description="Numéro de port d'écoute d'OpenNebula Flow" mandatory="True">
                <value>2474</value>
            </variable>
            <variable name='ip_oneflow' type='ip' description="Adresse IP d'écoute pour OpenNebula Flow" mandatory="True">
                <value>127.0.0.1</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_oneflow'>
            <param>non</param>
            <target type='servicelist'>opennebula-flow</target>
            <target type='filelist'>oneflow</target>
            <target type='variable'>port_oneflow</target>
            <target type='variable'>ip_oneflow</target>
        </condition>
    </constraints>
    <help>
        <variable name='activer_oneflow'>Gestion des services (dépendances des VMs).</variable>
    </help>
</creole>
